var __create = Object.create;
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __getProtoOf = Object.getPrototypeOf;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toESM = (mod, isNodeMode, target) => (target = mod != null ? __create(__getProtoOf(mod)) : {}, __copyProps(
  isNodeMode || !mod || !mod.__esModule ? __defProp(target, "default", { value: mod, enumerable: true }) : target,
  mod
));
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// src/index.js
var src_exports = {};
__export(src_exports, {
  createClient: () => createClient,
  cursor: () => import_language_common2.cursor,
  dataPath: () => import_language_common2.dataPath,
  dataValue: () => import_language_common2.dataValue,
  dateFns: () => import_language_common2.dateFns,
  default: () => src_default,
  each: () => import_language_common2.each,
  execute: () => execute,
  field: () => import_language_common2.field,
  fields: () => import_language_common2.fields,
  fn: () => import_language_common2.fn,
  lastReferenceValue: () => import_language_common2.lastReferenceValue,
  merge: () => import_language_common2.merge,
  prompt: () => prompt,
  setMockClient: () => setMockClient,
  sourceValue: () => import_language_common2.sourceValue
});
module.exports = __toCommonJS(src_exports);

// src/Adaptor.js
var Adaptor_exports = {};
__export(Adaptor_exports, {
  createClient: () => createClient,
  cursor: () => import_language_common2.cursor,
  dataPath: () => import_language_common2.dataPath,
  dataValue: () => import_language_common2.dataValue,
  dateFns: () => import_language_common2.dateFns,
  each: () => import_language_common2.each,
  execute: () => execute,
  field: () => import_language_common2.field,
  fields: () => import_language_common2.fields,
  fn: () => import_language_common2.fn,
  lastReferenceValue: () => import_language_common2.lastReferenceValue,
  merge: () => import_language_common2.merge,
  prompt: () => prompt,
  setMockClient: () => setMockClient,
  sourceValue: () => import_language_common2.sourceValue
});
var import_language_common = require("@openfn/language-common");
var import_util = require("@openfn/language-common/util");
var import_openai = __toESM(require("openai"), 1);
var import_language_common2 = require("@openfn/language-common");
var client;
function createClient(state) {
  const { apiKey } = state.configuration;
  client = new import_openai.default({
    apiKey
  });
  return state;
}
function setMockClient(mock) {
  client = mock;
}
function execute(...operations) {
  const initialState = {
    references: [],
    data: null
  };
  return (state) => {
    return (0, import_language_common.execute)(
      createClient,
      ...operations
    )({
      ...initialState,
      ...state
    });
  };
}
function prompt(message, opts) {
  return async (state) => {
    const [resolvedMessage, resolvedOpts] = (0, import_util.expandReferences)(
      state,
      message,
      opts
    );
    const payload = {
      model: "o3-mini-2025-01-31",
      reasoning_effort: "low",
      messages: [{ role: "user", content: resolvedMessage }],
      ...resolvedOpts
    };
    const msg = await client.chat.completions.create(payload);
    return (0, import_language_common.composeNextState)(state, msg);
  };
}

// src/index.js
var src_default = Adaptor_exports;
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  createClient,
  cursor,
  dataPath,
  dataValue,
  dateFns,
  each,
  execute,
  field,
  fields,
  fn,
  lastReferenceValue,
  merge,
  prompt,
  setMockClient,
  sourceValue
});
