var __defProp = Object.defineProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};

// src/Adaptor.js
var Adaptor_exports = {};
__export(Adaptor_exports, {
  createClient: () => createClient,
  cursor: () => cursor,
  dataPath: () => dataPath,
  dataValue: () => dataValue,
  dateFns: () => dateFns,
  each: () => each,
  execute: () => execute,
  field: () => field,
  fields: () => fields,
  fn: () => fn,
  lastReferenceValue: () => lastReferenceValue,
  merge: () => merge,
  prompt: () => prompt,
  setMockClient: () => setMockClient,
  sourceValue: () => sourceValue
});
import {
  composeNextState,
  execute as commonExecute
} from "@openfn/language-common";
import { expandReferences } from "@openfn/language-common/util";
import OpenAI from "openai";
import {
  dataPath,
  dataValue,
  dateFns,
  cursor,
  each,
  field,
  fields,
  fn,
  lastReferenceValue,
  merge,
  sourceValue
} from "@openfn/language-common";
var client;
function createClient(state) {
  const { apiKey } = state.configuration;
  client = new OpenAI({
    apiKey
  });
  return state;
}
function setMockClient(mock) {
  client = mock;
}
function execute(...operations) {
  const initialState = {
    references: [],
    data: null
  };
  return (state) => {
    return commonExecute(
      createClient,
      ...operations
    )({
      ...initialState,
      ...state
    });
  };
}
function prompt(message, opts) {
  return async (state) => {
    const [resolvedMessage, resolvedOpts] = expandReferences(
      state,
      message,
      opts
    );
    const payload = {
      model: "o3-mini-2025-01-31",
      reasoning_effort: "low",
      messages: [{ role: "user", content: resolvedMessage }],
      ...resolvedOpts
    };
    const msg = await client.chat.completions.create(payload);
    return composeNextState(state, msg);
  };
}

// src/index.js
var src_default = Adaptor_exports;
export {
  createClient,
  cursor,
  dataPath,
  dataValue,
  dateFns,
  src_default as default,
  each,
  execute,
  field,
  fields,
  fn,
  lastReferenceValue,
  merge,
  prompt,
  setMockClient,
  sourceValue
};
