/**
 * Creates and OpenAI client
 * @param state
 * @returns {state}
 */
export function createClient(state: any): any;
export function setMockClient(mock: any): void;
/**
 * Executes a series of operations.
 * It ensures the client is created first and assigned to the 'client' variable
 * @private
 * @param operations
 * @returns {operation}
 */
export function execute(...operations: any[]): operation;
/**
 * Prompt the GPT chat interface to respond
 * @example
 * prompt(`Filter these emails and pick out the most urgent: ${JSON.stringify($.data)}`);
 * @public
 * @function
 * @param {string} message - The prompt
 * @param {PromptOptions} options - Model, Reasoning Effort, Response Form and other parameters (https://platform.openai.com/docs/api-reference/chat/create)
 * @returns {operation}
 */
export function prompt(message: string, opts: any): operation;
/**
 * Options provided to Chat Completions Create (https://platform.openai.com/docs/api-reference/chat/create)
 */
export type PromptOptions = any;
export { dataPath, dataValue, dateFns, cursor, each, field, fields, fn, lastReferenceValue, merge, sourceValue } from "@openfn/language-common";
